%{?nodejs_find_provides_and_requires}

Name:       nodejs-cycle
Version:    1.0.3
Release:    1%{?dist}
Summary:    A Node.js module implementing JSON encoders/decoders in JavaScript
License:    Public Domain
Group:      System Environment/Libraries
URL:        https://github.com/douglascrockford/JSON-js
Source0:    http://registry.npmjs.org/cycle/-/cycle-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cycle
cp -pr package.json cycle.js \
    %{buildroot}%{nodejs_sitelib}/cycle

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/cycle


%changelog
* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.3-1
- update to upstream release 1.0.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-4
- fix compatible arches for f18/el6

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-3
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-2
- rebuild for missing npm(cycle) provides on EL6

* Sat Apr 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-1
- update to upstream release 1.0.2

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-1
- initial package
